var menuUrl;

$(function() {
	
})



function search() {
	$("input[name='pageNum']").val(1);
	$("#searchForm").submit();
}

function add() {
	$("#id").val("");
	$("#name").val("");
	$("#descr").val("");
	$("#adminId option:first").prop("selected", true);
	
	form.render();
	showWindow("添加");
}


function showWindow(title) {
	layer.open({
		type: 1,
		title: title,
		area: ['400px', '400px'], // 宽高
		content: $('#windowDiv')
	});
}

function addOver() {
	if ($("#name").val().trim() == '') {
		layer.msg("未填写名称");
		return;
	}

	$.ajax({
		type: 'POST',
		url: ctx + 'adminPage/example/addOver',
		data: $('#addForm').serialize(),
		dataType: 'json',
		success: function(data) {
			if (data.success) {
				location.reload();
			} else {
				layer.msg(data.msg);
			}
		},
		error: function() {
			layer.alert("请求失败，请刷新重试");
		}
	});
}

function edit(id) {
	$("#id").val(id);

	$.ajax({
		type: 'GET',
		url: ctx + 'adminPage/example/detail',
		dataType: 'json',
		data: {
			id: id
		},
		success: function(data) {
			if (data.success) {
				var example = data.obj;
				$("#id").val(example.id);
				$("#name").val(example.name);
				$("#descr").val(example.descr);
				$("#adminId").val(example.adminId);

				form.render();
				showWindow("编辑");
			} else {
				layer.msg(data.msg);
			}
		},
		error: function() {
			layer.alert("请求失败，请刷新重试");
		}
	});
}

function del(id) {
	if (confirm("确认删除?")) {
		$.ajax({
			type: 'POST',
			url: ctx + 'adminPage/example/del',
			data: {
				id: id
			},
			dataType: 'json',
			success: function(data) {
				if (data.success) {
					location.reload();
				} else {
					layer.msg(data.msg)
				}
			},
			error: function() {
				layer.alert("请求失败，请刷新重试");
			}
		});
	}
}